import { AnchoredRadialSeries } from "./AnchoredRadialSeries";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-angular-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Pool$1 } from "igniteui-angular-core";
import { Path } from "igniteui-angular-core";
import { RadialFrame } from "./RadialFrame";
import { RadialBaseView } from "./RadialBaseView";
import { List$1 } from "igniteui-angular-core";
import { AnchoredRadialSeriesView } from "./AnchoredRadialSeriesView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class RadialPieSeries extends AnchoredRadialSeries {
    static $t: Type;
    protected bf(): SeriesView;
    iu(a: SeriesView): void;
    oq: RadialPieSeriesView;
    constructor();
    or: number;
    os: number;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    hv(a: boolean, b: SeriesView): void;
    eg(): number;
    nl(a: RadialFrame, b: RadialBaseView): void;
    private oy;
    private ox;
    protected iz(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialPieSeriesView extends AnchoredRadialSeriesView {
    static $t: Type;
    protected cw: RadialPieSeries;
    constructor(a: RadialPieSeries);
    cx: Pool$1<Path>;
    ap(): void;
    protected cy: List$1<Path>;
    c3(): Path;
    cz(a: Path): void;
    c1(a: Path): void;
    c0(a: Path): void;
    protected bb(a: any, b: number): void;
    protected bc(a: any, b: number): void;
    protected a3(a: RenderingContext, b: boolean): void;
    c2(): void;
    ai(a: any): void;
}
